Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.config.xbeanmodel
Interface ProvidersDocument.Providers

All Superinterfaces:
  org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  ProvidersDocumentImpl.ProvidersImpl

Enclosing interface:
  ProvidersDocument

    public static interface ProvidersDocument.Providers

extends org.apache.xmlbeans.XmlObject

An XML providers(@http://anonsvn.labs.jboss.com/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.0.1.xsd). This is a complex type.

Nested Class Summary
`static class` | `ProvidersDocument.Providers.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`Provider` | `addNewProvider()` Appends and returns a new empty value (as xml) as the last "provider" element
`Provider[]` | `getProviderArray()` Deprecated.
`Provider` | `getProviderArray(int i)` Gets ith "provider" element
`java.util.List<Provider>` | `getProviderList()` Gets a List of "provider" elements
`Provider` | `insertNewProvider(int i)` Inserts and returns a new empty value (as xml) as the ith "provider" element
`void` | `removeProvider(int i)` Removes the ith "provider" element
`void` | `setProviderArray(int i, Provider provider)` Sets ith "provider" element
`void` | `setProviderArray(Provider[] providerArray)` Sets array of all "provider" element
`int` | `sizeOfProviderArray()` Returns number of "provider" element

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getProviderList

    java.util.List<Provider> getProviderList()

  Gets a List of "provider" elements

### getProviderArray

    Provider[] getProviderArray()

  Deprecated.

  Gets array of all "provider" elements

### getProviderArray

    Provider getProviderArray(int i)

  Gets ith "provider" element

### sizeOfProviderArray

    int sizeOfProviderArray()

  Returns number of "provider" element

### setProviderArray

    void setProviderArray(Provider[] providerArray)

  Sets array of all "provider" element

### setProviderArray

    void setProviderArray(int i,
                          Provider provider)

  Sets ith "provider" element

### insertNewProvider

    Provider insertNewProvider(int i)

  Inserts and returns a new empty value (as xml) as the ith "provider" element

### addNewProvider

    Provider addNewProvider()

  Appends and returns a new empty value (as xml) as the last "provider" element

### removeProvider

    void removeProvider(int i)

  Removes the ith "provider" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD